jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.expert-food-blog-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'expert_food_blog_dismiss_notice'
        });
    });
});